# Copyright (C) 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018  Rickard Lindberg, Roger Lindberg
#
# This file is part of Timeline.
#
# Timeline is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Timeline is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Timeline.  If not, see <http://www.gnu.org/licenses/>.


from timelinelib.calendar.dec.time import DecDelta
from timelinelib.calendar.dec.time import DecTime
from timelinelib.canvas.drawing.interface import Strip


class DecStrip(Strip):

    def __init__(self, size):
        self.size = size

    def label(self, time, major=False):
        return "%s" % time.value

    def start(self, time):
        start = int(time.value / self.size) * self.size
        if time < DecTime(0):
            start -= self.size
        return DecTime(start)

    def increment(self, time):
        return time + DecDelta(self.size)
